"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogService = void 0;
class LogService {
    constructor() {
        this.infoEnabled = false;
    }
    static get instance() {
        if (!this.pInstance) {
            this.pInstance = new LogService();
        }
        return this.pInstance;
    }
    static reset() {
        this.pInstance = null;
    }
    /**
     * Enable info logs
     */
    enableInfoLogs() {
        this.infoEnabled = true;
    }
    /**
     * Print info log
     * @param message
     */
    info(message) {
        if (this.infoEnabled) {
            console.log(`${this.getTime()}: ${message}`);
        }
    }
    /**
     * Print error log
     * @param message
     */
    error(message) {
        console.error(`${this.getTime()}: ${message}`);
    }
    getTime() {
        const now = new Date();
        return `${now.getHours()}:${now.getMinutes()}:${now.getSeconds()}.${now.getMilliseconds()}`;
    }
}
exports.LogService = LogService;
//# sourceMappingURL=LogService.js.map